Page MenuHomePhabricator

Upgrade db1100 firmware and BIOS
Closed, ResolvedPublic

Description

I upgraded the kernel on db1100 (s5 standby master) and I suffered the issue we have seen at T216240: Reboot, upgrade firmware and kernel of db1096-db1106, db2071-db2092 - (the host not booting up), so we should try to upgrade BIOS and firmware, as we have seen that fixes those issues.
This host would require depooling before we can reboot it.
For now I have booted with the previous kernel: 4.9.88-1+deb9u1

Let me know when this can be done.

Event Timeline

Marostegui moved this task from Triage to Blocked external/Not db team on the DBA board.
herron triaged this task as Normal priority.Jul 23 2019, 1:57 PM

@Marostegui This can be done any day...Let's plan 8/6 @1000EDT /1400UTC

@Marostegui This can be done any day...Let's plan 8/6 @1000EDT /1400UTC

Great! Thank you. I have made a note on my calendar so the host will be depooled and off before 14:00UTC so once you arrive, it will be fully ready for you to upgrade.

@Cmjohnson are we still good for tomorrow at 14:00 UTC? I will have the host depooled and off for you before 14:00 UTC

@Marostegui yes, still good fit tomorrow at 1400UTC

Excellent - thank you!

Mentioned in SAL (#wikimedia-operations) [2019-08-06T07:27:22Z] <marostegui@cumin1001> dbctl commit (dc=all): 'Depool for firmware and BIOS upgrade T228732', diff saved to https://phabricator.wikimedia.org/P8869 and previous config saved to /var/cache/conftool/dbconfig/20190806-072720-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2019-08-06T07:27:56Z] <marostegui> Stop MySQL on db1100 before powering the host off - T228732

@Cmjohnson db1100 is now OFF.
Once you are done leave it ON and will take care of MySQL and the rest of things

Thanks!

Cmjohnson closed this task as Resolved.Aug 6 2019, 2:31 PM

@Marostegui The f/w and bios update is complete.

Thanks - I will start MySQL now and take it from there

Mentioned in SAL (#wikimedia-operations) [2019-08-06T14:36:36Z] <marostegui> Start mysql on db1100 after on-site maintenance - T228732